Developers
API ReferenceProject Template

Retrieves a ProjectTemplate resource

GET
/project/project-templates/{id}

Retrieves a ProjectTemplate resource

Authorization

apiKey
headerAuthorization<token>

Value for the Authorization header parameter.

Path Parameters

id*string

ProjectTemplate identifier

Response Body

ProjectTemplate resource

  1. response
description?|
Lengthlength <= 100000
projectCategory?|null
dateStart?string
Formatdate-time
dateEnd?string
Formatdate-time
stageDatesRelativeToProject?boolean
isBlameableRemovalEnabled?boolean
savedCustomFieldValues?array<>
id?string
Formatuuid
name?string
Lengthlength <= 100
isPublic?boolean
createdBy?|null
isSimple?boolean
Example Request
curl -X GET 'https://app.icproject.com/api/instance/demo/project/project-templates/string'
Example Response
{  "description": "string",  "projectCategory": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "name": "string"  },  "dateStart": "2019-08-24T14:15:22Z",  "dateEnd": "2019-08-24T14:15:22Z",  "stageDatesRelativeToProject": true,  "isBlameableRemovalEnabled": true,  "savedCustomFieldValues": [    {      "definition": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "name": "string",        "weight": 0,        "description": "string",        "scope": "project",        "dataType": "text",        "floatDisplayType": "float",        "floatDecimalPlaces": 0,        "floatCurrencyCode": "str"      },      "valueText": "string",      "valueFloat": "string",      "valueDateTime": "2019-08-24T14:15:22Z",      "valueSelectOptions": [        {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "value": "string",          "weight": 0,          "decorator": "#78909c"        }      ],      "valueSelectUsers": [        {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "firstName": "string",          "lastName": "string",          "email": "string",          "pictureSm": "string"        }      ],      "valueDepartment": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "name": "string"      }    }  ],  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string",  "isPublic": true,  "createdBy": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "shortCode": "string",    "firstName": "string",    "lastName": "string",    "email": "string",    "pictureSm": "string",    "pictureLg": "string",    "contractorName": "string",    "jobPositionName": "string",    "canLogIn": true,    "isExternal": true  },  "isSimple": true}